Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.car
Class ResourceResolver

    java.lang.Object
      org.jasig.portal.car.ResourceResolver

All Implemented Interfaces:
  javax.xml.transform.URIResolver

    public class ResourceResolver

extends java.lang.Object
implements javax.xml.transform.URIResolver

Enables resolving of external resources specified in xsl:import or xsl:include elements or the document() allowing such resources to also be found within CARs.

Version:
  $Revision: 1.2 $
Author:
  Mark Boyd

Constructor Summary
`ResourceResolver()`

Method Summary
`javax.xml.transform.Source` | `resolve(java.lang.String href, java.lang.String base)` Allows external resources specified in xsl:import or xsl:include elements or the document() method to be resolved in custom manner.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceResolver

    public ResourceResolver()

Method Detail

### resolve

    public javax.xml.transform.Source resolve(java.lang.String href,
                                              java.lang.String base)
                                       throws javax.xml.transform.TransformerException

  Allows external resources specified in xsl:import or xsl:include elements or the document() method to be resolved in custom manner. This allows resources in CARs to be accessed readily via these xsl constructs. If the specified resource is not found within a CAR then a null value is returned allowing the processor to try and resolve it in some other way.

  Specified by:
    `resolve` in interface `javax.xml.transform.URIResolver`
  Throws:
    `javax.xml.transform.TransformerException`
  See Also:
    `URIResolver.resolve(java.lang.String, java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD